Subject: Re: bug#57556: 28.1; Eshell not finding executables in PATH when tramp-integration loaded

From: Michael Albinus <[email-masked]>
Date: Sun, 02 Oct 2022 10:55:36 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

> I'll take a look at doing that. As I understand it, connection-local
> variables are cleared if the associated connection gets cleaned up,
> right? I wonder if that would be the right thing to do. For example,
> if I cd into a remote host in Eshell, then update Eshell's $PATH for
> that host, then clean up the connection, should the $PATH be reset to
> the default for that host? I'm really not sure...

Connection-local variables have their own meaning, they are not bound to
Tramp connections. Tramp is just one application using them (but perhaps
the major one).

Even using default-directory as indicator is not fixed. It happens, if
you use connection-local-criteria-for-default-directory as CRITERIA here
and there. But you can compose your own CRITERIA if you like.

Best regards, Michael.